Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 10.04, Windows XP Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14035

Description

Using the latest version of QGIS (1.7 Wroclaw) and am running into two problems with the new table joining feature. The trouble occurs

after I join my DBF or CSV (with CSVT) to a shapefile. The join is successful;, the trouble occurs when I go to symbolize the data in the

joined attribute table. If I choose graduated symbols and specify some classes:

1. Under the old symbology, equal intervals does not work. All the classes are populated with zeros. Quantiles works perfectly fine.

2. Under the new symbology, equal intervals still doesn't work (populating with zeros) AND quantiles and natural breaks don't work

correctly - my dataset has negative values in it, and these values are simply dropped rather than classified.

I've noticed that I am able to symbolize attributes that are part of the original shapefile; it's just attributes that are part of the table that

don't work. After doing the join, I've also noticed that if I look at the Fields tab for the layer, the fields in the shapefile have values for

precision and length, but the fields from the joined table have values of zero. I've gotten around the problem by doing the join, and doing a

Save As on the shapefile to create a new shapefile with the attributes of the table permanently fused to the file. The symbolization works

fine then, and the attributes are assigned precision and length.

I've tried this using DBF and CSV, with the same result. I've tested this using 1.7 in both Ubuntu 10.04 (Lucid Lynx) and Windows XP

(SP3). Same result.

I've attached a ZIP file with the shapefile and data tables if you want to try it out. The files are projected in EPSG 2235 (Delaware State

Plane ft). Try joining the county_subsets shapefile to the de_2010_pop table (dbf or csv). Join fields: GEO_ID2 in the table and GEOID10

in the shapefile. Then try symbolizing graduated colors for the CHANGE OR PCTCHANGE fields in the table.

Originally posted this on the forum, [http://forum.qgis.org/viewtopic.php?f=2&#38;t=8916] and was suggested to create this ticket.

History

#1 - 2011-07-09 04:02 AM - Anita Graser

- Target version set to Version 1.7.1

- Must fix set to yes

#2 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4
#5 - 2012-04-16 06:28 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-06-14 02:10 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Files

qgis17_join_test.zip 1.58 MB 2011-07-05 Frank Donnelly

eqint_zeros.png 50.3 KB 2011-07-05 Frank Donnelly
